org.apache.maven.scm.provider.svn

## Class SvnCommandUtils

- java.lang.Object
- - org.apache.maven.scm.provider.svn.SvnCommandUtils

-     public class SvnCommandUtils
      extends Object

  Command utilities for svn commands.
  Version:
    $Id: SvnCommandUtils.java 733437 2009-01-11 09:25:52Z dantran $
  Author:
    Jerome Lacoste

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SvnCommandUtils()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `fixUrl(String url, String username)` Add or overrides the username into a url with a svn+ssh scheme.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SvnCommandUtils

          public SvnCommandUtils()

  - ### Method Detail

    - #### fixUrl

          public static String fixUrl(String url,
                      String username)

      Add or overrides the username into a url with a svn+ssh scheme.

      Svn 1.3.1 doesn't use the username information specified by --username when the url uses the svn+ssh scheme. This allows to fix it. See MRELEASE-35. Convert file url which derived from windows file path to unix path.
      Parameters:
        `url` - the url, not `null`
        `username` - the username, may be `null`
      Returns:
        the fixed url
      Throws:
        `NullPointerException` - if url is `null`

Copyright © 2003–2015. All rights reserved.